import request from '@/utils/request'

// 查询家族相簿列表
export function listAlbum(query) {
  return request({
    url: '/system/family/album/list',
    method: 'get',
    params: query
  })
}

// 查询家族相簿详细
export function getAlbum(id) {
  return request({
    url: '/system/family/album/' + id,
    method: 'get'
  })
}

// 新增家族相簿
export function addAlbum(data) {
  return request({
    url: '/system/family/album',
    method: 'post',
    data: data
  })
}

// 修改家族相簿
export function updateAlbum(data) {
  return request({
    url: '/system/family/album',
    method: 'put',
    data: data
  })
}

// 删除家族相簿
export function delAlbum(id) {
  return request({
    url: '/system/family/album/' + id,
    method: 'delete'
  })
}

// 导出家族相簿
export function exportAlbum(query) {
  return request({
    url: '/system/family/album/export',
    method: 'get',
    params: query
  })
}
